Bug 1553279 - [RFE] Have foreman_theme_satellite read from a file to get Satellite version
Summary: [RFE] Have foreman_theme_satellite read from a file to get Satellite version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 15:51 UTC by Zach Huntington-Meath
Modified: 2019-09-25 21:21 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-1.0.4.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-13 13:32:28 UTC


Attachments (Terms of Use)
verification screenshot 1 (4.41 KB, image/png)
2018-03-26 15:25 UTC, jcallaha
no flags Details
verification screenshot 2 (5.65 KB, image/png)
2018-03-26 15:25 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1126 None None None 2018-04-13 13:33:08 UTC

Description Zach Huntington-Meath 2018-03-08 15:51:58 UTC
Description of problem:
Currently we have to update both the Satellite 'meta' rpm and Foreman_theme_satellite everytime we make a new Satellite release. It can be easy to miss updating foreman_theme_satellite which leads to having to rerelease and waste a lot of time.

Version-Release number of selected component (if applicable):
6.3.1

Comment 3 jcallaha 2018-03-26 15:24:50 UTC
Verified in Satellite 6.3.1.

The current Satellite version is stored in /usr/share/satellite/metadata.yml

# cat /usr/share/satellite/metadata.yml
---
version: 6.3.1


Modifying this value will then propagate to the displayed version after restarting katello-services. See attached screenshot for modified version number.

Deleting the file reverts to a displayed version of '0.0.0-development'. See attached screenshot.

Comment 4 jcallaha 2018-03-26 15:25:13 UTC
Created attachment 1413218 [details]
verification screenshot 1

Comment 5 jcallaha 2018-03-26 15:25:29 UTC
Created attachment 1413219 [details]
verification screenshot 2

Comment 7 errata-xmlrpc 2018-04-13 13:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1126


Note You need to log in before you can comment on or make changes to this bug.